## guayadeque-dmo 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(Guayadeque)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Set Release type for builds where CMAKE_BUILD_TYPE is unset.
# This is usually a good default as this implictly enables
#
#   CFLAGS = -O3 -DNDEBUG
#
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

# Adhere to GNU filesystem layout conventions
include(GNUInstallDirs)

message(STATUS "Building through C++ ${CMAKE_CXX_STANDARD} ...")
message(STATUS "Using install prefix ${CMAKE_INSTALL_PREFIX} ...")

find_package(PkgConfig REQUIRED)

# [sl 2020-05-23] according to https://cmake.org/cmake/help/v3.0/module/FindwxWidgets.html
set(wxWidgets_CONFIG_OPTIONS --toolkit=gtk3)

find_package(wxWidgets COMPONENTS base core adv net html xml aui OPTIONAL_COMPONENTS qa)

if (wxWidgets_FOUND)
    if (wxWidgets_LIBRARIES)
        if (wxWidgets_LIBRARIES MATCHES "wx_.*_qa-")   # wxWidgets_qa_FOUND does not work!
            add_definitions(-DUSE_WXQA=1)
        else()
            message(STATUS "wxWidgets QA component not found!")
        endif()
    else()
        message(FATAL_ERROR "wxWidgets libraries not found!")
    endif()
else()
    message(FATAL_ERROR "wxWidgets not found!")
endif()

find_package(ICU 60.0 COMPONENTS uc i18n REQUIRED)

pkg_check_modules(GSTREAMER gstreamer-1.0>=1.20)
if (NOT GSTREAMER_FOUND)
    check_required_components()
    pkg_check_modules(GSTREAMER gstreamer-1.0>=1.0)
    if (NOT GSTREAMER_FOUND)
        message(FATAL_ERROR "gstreamer 1.0 not found!")
    else()
        add_definitions(-DGSTREAMER_VERSION=1)
    endif()
else()
    add_definitions(-DGSTREAMER_VERSION=120)
endif()

pkg_check_modules(GSTREAMER REQUIRED gstreamer-pbutils-1.0)
pkg_check_modules(GSTREAMER_TAG REQUIRED gstreamer-tag-1.0)
pkg_check_modules(SQLITE3 REQUIRED sqlite3)
pkg_check_modules(LIBCURL REQUIRED libcurl)
pkg_check_modules(LIBDBUS REQUIRED dbus-1)
pkg_check_modules(LIBGDKPIXBUF20 REQUIRED gdk-pixbuf-2.0)
pkg_check_modules(LIBGIO REQUIRED gio-2.0)

pkg_check_modules(LIBTAG taglib>=1.6.4)
if (NOT LIBTAG_FOUND)
    pkg_check_modules(LIBTAG taglib>=1.6.1)
    if (NOT LIBTAG_FOUND)
        pkg_check_modules(LIBTAG taglib>=1.6)
        if (NOT LIBTAG_FOUND)
            message(FATAL_ERROR "taglib 1.6/2.0 not found!")
        endif()
    else()
        add_definitions(-DTAGLIB_WITH_MP4_COVERS=1)
    endif()
else()
    if (LIBTAG_VERSION LESS 3.0)
        add_definitions(-DTAGLIB_WITH_MP4_COVERS=1)
        add_definitions(-DTAGLIB_WITH_APE_SUPPORT=1)
    else()
        message(FATAL_ERROR "taglib version must be less than 3.0!")
    endif()
endif()

pkg_check_modules(LIBWXSQLITE3 wxsqlite3)
if (NOT LIBWXSQLITE3_FOUND)
	pkg_check_modules(LIBWXSQLITE33 wxsqlite3-3.2)
	if (NOT LIBWXSQLITE33_FOUND)
		pkg_check_modules(LIBWXSQLITE33 wxsqlite3-3.0)
		if (NOT LIBWXSQLITE33_FOUND)
		    message(FATAL_ERROR "wxSqlite3 not found")
		endif()
	endif()
endif()

pkg_check_modules(LIBJSONCPP jsoncpp)
if (NOT LIBJSONCPP_FOUND)
  	message(FALTAL_ERROR "libjsoncpp not found")
endif()

option(ENABLE_IPOD "Enable iPod support by including libgpod support" ON)
if (ENABLE_IPOD)
    pkg_check_modules(LIBGPOD libgpod-1.0)
    if (NOT LIBGPOD_FOUND)
        message(" libgpod-dev not found! No iPod support!")
    else()
        add_definitions(-DWITH_LIBGPOD_SUPPORT=1)
    endif()
else()
    message(" *** iPod support disabled!")
endif()

# Include wxWidgets macros
include(${wxWidgets_USE_FILE})

if (NOT _GUREVISION_)
    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE _GUREVISION_
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

# Make Version.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h.in ${CMAKE_CURRENT_BINARY_DIR}/Version.h)

#add_definitions(${wxWidgets_DEFINITIONS})
add_compile_options(-Wall)
add_definitions(-DDATADIR=\"${CMAKE_INSTALL_FULL_DATADIR}/guayadeque\" -DDATAROOTDIR=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}\")

# We define the include paths here, our minimal source dir is one,
# and also the include dirs defined by wxWidgets
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${wxWidgets_INCLUDE_DIRS}
    ${GSTREAMER_INCLUDE_DIRS}
    ${GSTREAMER_TAG_INCLUDE_DIRS}
    ${SQLITE3_INCLUDE_DIRS}
    ${LIBCURL_INCLUDE_DIRS}
    ${LIBTAG_INCLUDE_DIRS}
    ${LIBDBUS_INCLUDE_DIRS}
    ${LIBGIO_INCLUDE_DIRS}
    ${LIBGPOD_INCLUDE_DIRS}
    ${LIBWXSQLITE3_INCLUDE_DIRS}
    ${LIBWXSQLITE33_INCLUDE_DIRS}
    ${LIBJSONCPP_INCLUDE_DIRS}
    ${LIBICU_INCLUDE_DIRS}
)

if (PROFILE)
    add_definitions(-pg)
    set(CMAKE_EXE_LINKER_FLAGS "-pg -g")
    message("Adding profiling code.")
endif()

add_subdirectory(src)
add_subdirectory(po)

# default configuration and desktop icon
# freedesktop.org-specific files
install(FILES defconfig/guayadeque.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps/)
install(FILES defconfig/org.guayadeque.guayadeque.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES defconfig/org.guayadeque.guayadeque.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)

# program-specific files
install(FILES defconfig/guayadeque.default.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque)
install(FILES defconfig/equalizers.default.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque)
install(FILES defconfig/lyrics_sources.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_custom_target(debug
    ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Debug ${PROJECT_SOURCE_DIR})

add_custom_target(release
    ${CMAKE_COMMAND} -DMAKE_BUILD_TYPE:STRING=Release ${PROJECT_SOURCE_DIR})

=== po/CMakeLists.txt ===

FIND_PACKAGE( Gettext REQUIRED )

MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
   GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
   GET_FILENAME_COMPONENT(_relmoFile ${_moFile} NAME)
   GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
   STRING( REPLACE @ _ _targetname "${_moBasename}.${_lang}.mo" )
   ADD_CUSTOM_COMMAND(
      OUTPUT ${_relmoFile}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} ${_absFile}
      DEPENDS ${_absFile}
   )
   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${_lang}/LC_MESSAGES )
   ADD_CUSTOM_TARGET( ${_targetname} ALL DEPENDS ${_relmoFile} )
ENDMACRO(GETTEXT_PROCESS_POFILE )

# Current languages

ADD_SUBDIRECTORY( bg )
ADD_SUBDIRECTORY( ca_ES )
ADD_SUBDIRECTORY( cs )
ADD_SUBDIRECTORY( da )
ADD_SUBDIRECTORY( de )
ADD_SUBDIRECTORY( el )
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( fr )
ADD_SUBDIRECTORY( hr )
ADD_SUBDIRECTORY( hu )
ADD_SUBDIRECTORY( is )
ADD_SUBDIRECTORY( it )
ADD_SUBDIRECTORY( ja )
ADD_SUBDIRECTORY( lt )
ADD_SUBDIRECTORY( ms )
ADD_SUBDIRECTORY( nb )
ADD_SUBDIRECTORY( nl )
ADD_SUBDIRECTORY( pl )
ADD_SUBDIRECTORY( pt )
ADD_SUBDIRECTORY( pt_BR )
ADD_SUBDIRECTORY( ru )
ADD_SUBDIRECTORY( sk )
ADD_SUBDIRECTORY( sr )
ADD_SUBDIRECTORY( sr@latin )
ADD_SUBDIRECTORY( sv )
ADD_SUBDIRECTORY( th )
ADD_SUBDIRECTORY( tr )
ADD_SUBDIRECTORY( uk )

=== po/ca_ES/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( ca_ES guayadeque.mo guayadeque.po )

=== po/da/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( da guayadeque.mo guayadeque.po )

=== debian/changelog ===
guayadeque-dmo (0.7.4-dmo2) unstable; urgency=medium

  * Add gstreamer1.0-plugins-good to Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 09:43:20 +0100

guayadeque-dmo (0.7.4-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 08:32:26 +0100

=== debian/control ===
Source: guayadeque-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/thothix/guayadeque
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake, libwxsqlite3-3.2-dev,
 gettext, libdbus-1-dev, libgpod-dev, libgstreamer1.0-dev, libjsoncpp-dev,
 libwxsqlite3-3.0-dev, libgstreamer-plugins-base1.0-dev, libtag1-dev,
 libwxgtk-media3.2-dev, ninja-build, libicu-dev (>= 60~),
 libcurl4-openssl-dev (>= 7.18.2),

Package: guayadeque
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-plugins-good,
Description: lightweight music player.
 Guayadeque is a lightweight and easy-to-use music player that supports
 smart playlists and huge music collections.
 .
 Main features include:
  - Play mp3, ogg, flac, wav, wma, mpc, mp4, ape, ...
  - Read and write tags in all supported formats.
  - Allow one to catalogue your music using labels. Any track, artist or
    album can have as many labels you want.
  - Smart play mode that add tracks that fit your music taste using the
    tracks currently in play list.
  - Ability to download covers manually or automatically
  - Suggest music using last.fm service.
  - Allow fast access to any music file by genre, artist, album
  - Play and Record shoutcast radios
  - Configurable cross fader engine
  - Configurable Silence detector to avoid listening to silence between tracks
  - Allow one to subscribe to podcasts and download all new episodes
    automatically or manually.
  - Dynamic or static play lists.
  - Tracks tag editor with automatically fetching of tags information for
    easily completion.
  - Lyrics downloads from different lyrics providers.
  - Easily expandable contextual links support. With it you can find
    information about a track, an artist or an album on your favourite site.
  - Easily expandable contextual commands support. For example you can right
    click on any album and click in option to record the album in a burning
    application.
  - Option to copy the selection you want to a directory or device using a
    configurable pattern.
  - Last.fm audioscrobbling support.
  - Partial GNOME session support to detect when GNOME session is about to
    close and save the play list so it can continue next time with the same
    tracks.
  - Allow one to resume play status and position when closed and reopened.
  - You can rate the tracks from 0 to 5 stars.
  - MPRIS D-Bus interface support so it can easily controlled from music
    applets for example and many more.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

#	-DCMAKE_CXX_STANDARD=11 \
#	-DCMAKE_INSTALL_PREFIX=/usr \
#	-DENABLE_LIBINDICATE=OFF
#	-DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config \
#	-DwxWidgets_INCLUDE_DIRS=/usr/include/wx-3.2 \
#	-DwxWidgets_wxrc_EXECUTABLE=/usr/bin/wxrc-3.2 \

#	exit 1

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/thothix/guayadeque/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## guayadeque-dmo 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,12 +43,11 @@
 
 find_package(ICU 60.0 COMPONENTS uc i18n REQUIRED)
 
-pkg_check_modules(GSTREAMER gstreamer-1.0>=1.20)
-if (NOT GSTREAMER_FOUND)
-    check_required_components()
-    pkg_check_modules(GSTREAMER gstreamer-1.0>=1.0)
-    if (NOT GSTREAMER_FOUND)
-        message(FATAL_ERROR "gstreamer 1.0 not found!")
+pkg_check_modules(GSTREAMER120 gstreamer-1.0>=1.20)
+if (NOT GSTREAMER120_FOUND)
+    pkg_check_modules(GSTREAMER1 gstreamer-1.0>=1.0)
+    if (NOT GSTREAMER1_FOUND)
+        message(FATAL_ERROR "gstreamer >= 1.0 not found!")
     else()
         add_definitions(-DGSTREAMER_VERSION=1)
     endif()
@@ -163,8 +162,8 @@
 # default configuration and desktop icon
 # freedesktop.org-specific files
 install(FILES defconfig/guayadeque.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps/)
-install(FILES defconfig/org.guayadeque.guayadeque.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-install(FILES defconfig/org.guayadeque.guayadeque.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
+install(FILES defconfig/org.guayadeque.Guayadeque.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+install(FILES defconfig/org.guayadeque.Guayadeque.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 
 # program-specific files
 install(FILES defconfig/guayadeque.default.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque)

=== src/CMakeLists.txt ===
FILE( GLOB_RECURSE Guayadeque_SOURCES_CPP "*.cpp" )
FILE( GLOB_RECURSE Guayadeque_SOURCES_C "*.c" )
FILE( GLOB_RECURSE Guayadeque_HEADERS "*.h" )


SET( Guayadeque_INCLUDE_DIRS "" )
FOREACH( _headerFile ${Guayadeque_HEADERS} )
    GET_FILENAME_COMPONENT( _dir ${_headerFile} PATH )
    LIST( APPEND Guayadeque_INCLUDE_DIRS ${_dir} )
ENDFOREACH()
LIST( REMOVE_DUPLICATES Guayadeque_INCLUDE_DIRS )

INCLUDE_DIRECTORIES( ${Guayadeque_INCLUDE_DIRS} )

ADD_EXECUTABLE( guayadeque ${Guayadeque_SOURCES_CPP} ${Guayadeque_SOURCES_C} ${Guayadeque_HEADERS} )

TARGET_LINK_LIBRARIES( guayadeque
        ${wxWidgets_LIBRARIES}
        ${GSTREAMER_LIBRARIES}
        ${GSTREAMER_TAG_LIBRARIES}
        ${SQLITE3_LIBRARIES}
        ${LIBCURL_LIBRARIES}
        ${LIBTAG_LIBRARIES}
        ${LIBDBUS_LIBRARIES}
        ${LIBGDKPIXBUF20_LIBRARIES}
        ${LIBGIO_LIBRARIES}
        ${LIBGPOD_LIBRARIES}
        ${LIBWXSQLITE3_LIBRARIES}
        ${LIBWXSQLITE33_LIBRARIES}
        ${LIBJSONCPP_LIBRARIES}
        ${ICU_LIBRARIES}
)

INSTALL( TARGETS guayadeque
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )

=== po/bg/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( bg guayadeque.mo guayadeque.po )

=== po/lt/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( lt guayadeque.mo guayadeque.po )

=== po/ms/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( ms guayadeque.mo guayadeque.po )

=== po/pl/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( pl guayadeque.mo guayadeque.po )

=== po/sr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( sr guayadeque.mo guayadeque.po )

=== debian/changelog ===
guayadeque-dmo (0.7.5-dmo2) unstable; urgency=medium

  * Update upstream URL github --> codeberg

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jan 2026 08:38:23 +0100

guayadeque-dmo (0.7.5-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jan 2026 08:55:51 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

#	exit 1

override_dh_auto_test:

=== debian/watch ===
Version: 5

Source: https://codeberg.org/thothix/guayadeque/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
